# mb/sd-webui-forge

SD Webui is a very handy content generation framework, too bad it is stable as a pile of sand on the slope of an active volcano.

I have a very specific platform on all my personal machines, which is Archlinux on AMD hardware, and sadly it is not the main target of sd-webui. Often environment tweaks and dependency hacks are required, this repo is my way of storing and synchronising these tweaks in a somewhat deterministic way.

## Usage

First be sure to have the right python version : 3.11 (python3 package is too recent on arch). On arch you can install the `python311` AUR package.

Then use the `./run` script : it will install missing dependencies within the project and then run sd-webui. I recommend adding launch arguments dirrectly into it.

Install your models in `./models` they will be linked into sd-webui repo.

Nuking the repo folder is the 'fast' way of solving merge conflicts. Note the following :
- Extensions will be lost.
- Dependencies will be lost.
- Models will be kept. (provided the `./models` directory linking is not prevented)
